1. <span id="petwi"><output id="petwi"></output></span>
      <ruby id="petwi"></ruby>

      <span id="petwi"></span>
      <span id="petwi"><video id="petwi"></video></span>
        <ol id="petwi"></ol>

        <track id="petwi"><i id="petwi"></i></track>

      1. <span id="petwi"><sup id="petwi"></sup></span>
        <optgroup id="petwi"><em id="petwi"><del id="petwi"></del></em></optgroup>

            <legend id="petwi"><i id="petwi"></i></legend>

            1. <span id="petwi"></span>
              新聞內容

              rk3399和rk3288d的android7.1簽名apk報錯處理

              信息來源:雙贊|時間:2019-11-19 16:55|瀏覽量:

              ?

              rk3399和rk3288d的android7.1簽名apk報錯處理
              簽名使用到的文件路徑:
               1、build/target/product/security/platform.x509.pem
               2、build/target/product/security/platform.pk8
               3、out/host/linux-x86/framework/signapk.jar
              以前一直使用的  java -jar signapk.jar platform.x509.pem platform.pk8 src.apk src-sign.apk 生成src-sign.apk就是簽名后的apk
              在android7.1使用此方法報錯:
              1、Exception in thread "main" java.lang.UnsupportedClassVersionError: com/android/signapk/SignApk : Unsupported major.minor version 52.0
                      at java.lang.ClassLoader.defineClass1(Native Method)
                      at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
                      at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
                      at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
                      at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
                      at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
                      at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
                      at java.security.AccessController.doPrivileged(Native Method)
                      at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
                      at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
                      at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
                      at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
                      at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)
              這個錯誤是由于java 的版本導致的,android7.1 使用的是jiava1.8 先確保java版本為:
              $ java -version
              openjdk version "1.8.0_141"
              OpenJDK Runtime Environment (build 1.8.0_141-8u141-b15-3~14.04-b15)
              OpenJDK 64-Bit Server VM (build 25.141-b15, mixed mode)
              可以解決以上錯誤
               
              2、Exception in thread "main" java.lang.UnsatisfiedLinkError: no conscrypt_openjdk_jni in java.library.path
                      at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1867)
                      at java.lang.Runtime.loadLibrary0(Runtime.java:870)
                      at java.lang.System.loadLibrary(System.java:1122)
                      at org.conscrypt.NativeCryptoJni.init(NativeCryptoJni.java:25)
                      at org.conscrypt.NativeCrypto.<clinit>(NativeCrypto.java:54)
                      at org.conscrypt.OpenSSLBIOInputStream.<init>(OpenSSLBIOInputStream.java:34)
                      at org.conscrypt.OpenSSLX509Certificate.fromX509PemInputStream(OpenSSLX509Certificate.java:119)
                      at org.conscrypt.OpenSSLX509CertificateFactory$1.fromX509PemInputStream(OpenSSLX509CertificateFactory.java:220)
                      at org.conscrypt.OpenSSLX509CertificateFactory$1.fromX509PemInputStream(OpenSSLX509CertificateFactory.java:216)
                      at org.conscrypt.OpenSSLX509CertificateFactory$Parser.generateItem(OpenSSLX509CertificateFactory.java:94)
                      at org.conscrypt.OpenSSLX509CertificateFactory.engineGenerateCertificate(OpenSSLX509CertificateFactory.java:272)
                      at java.security.cert.CertificateFactory.generateCertificate(CertificateFactory.java:339)
                      at com.android.signapk.SignApk.readPublicKey(SignApk.java:182)
                      at com.android.signapk.SignApk.main(SignApk.java:1087)
              這個錯誤是由于找不到 libconscrypt_openjdk_jni.so 文件導致的。
              路徑:prebuilts/sdk/tools/linux/lib64/libconscrypt_openjdk_jni.so
              然后運行java -Djava.library.path=. -jar signapk.jar platform.x509.pem platform.pk8 src.apk src-sign.apk  成功生成簽名apk
              久久这里只有热精品18_毛片免费看_免费毛片高清完整版_午夜一级成年大片在线无码